reskit
======

***INCOMPLETE***

Resource kit for the Sega Genesis/Megadrive. Converts tilesets and soundtracks for use in custom Sega Megadrive game engines.

# Tileset Tool
```
reskit tileset --input file.png --output file.bin --format bin
```

The file format will contain the palette required by the image, followed by the image.

## Caveats
* Image dimensions that are not a multiple of 8 will be rounded up to the nearest multiple of 8.
* Input images containing more than 15 colours will not be converted and will throw an error.

# Soundtrack Tool
```
reskit soundtrack --input song.dmf --output song.bin --format esf
```

The file format will contain the instrument definitions, followed by waveform samples, followed by an Echo Stream Format (ESF) stream.
